Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2971 r2985  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-mumps compile project Mumps with debug compiler flags
    1080 
    1081   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1080  --enable-doscompile     Under Cygwin, compile so that executables run under
     1081                          DOS. Set to mingw to use gcc/g++/ld with
     1082                          -mno-cygwin. Set to msvc to use cl/link (or
     1083                          icl/link). Default when mentioned: mingw. Default
     1084                          when not mentioned: disabled.
    10821085  --disable-pthread-mumps disable use of pthread library
    10831086  --enable-static[=PKGS]
     
    18841887
    18851888# Get the name of the C compiler
    1886 
    1887 
    1888   # for backward compatibility
    1889   # Check whether --enable-doscompile or --disable-doscompile was given.
    1890 if test "${enable_doscompile+set}" = set; then
    1891   enableval="$enable_doscompile"
    1892   enable_doscompile=$enableval
    1893 else
    1894   enable_doscompile=no
    1895 fi;
    1896 
    1897   # Check whether --enable-msvc or --disable-msvc was given.
    1898 if test "${enable_msvc+set}" = set; then
    1899   enableval="$enable_msvc"
    1900   enable_msvc=$enableval
    1901 else
    1902   enable_msvc=no
    1903      if test "$enable_doscompile" = msvc ; then
    1904        enable_msvc=yes
    1905      elif test "$enable_doscompile" != no ; then
    1906        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1907 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1908    { (exit 1); exit 1; }; }
    1909      fi
    1910 
    1911 fi;
    1912 
    1913   if test "$enable_msvc" = yes; then
    1914     case $build in
    1915       *-cygwin* | *-mingw*) ;;
    1916       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1917 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1918    { (exit 1); exit 1; }; } ;;
    1919     esac
    1920   fi
    1921 
    1922 
    1923  case $build in
     1889case $build in
    19241890  *-mingw*)
    19251891    if test "${LD+set}" = set; then :; else
     
    19281894    ;;
    19291895 esac
    1930  if test $enable_msvc = yes ; then
    1931    if test "x${LD+set}" = xset; then :; else
    1932      LD=link
     1896 case $enable_doscompile in
     1897   msvc)
     1898     if test "x${LD+set}" = xset; then :; else
     1899       LD=link
     1900     fi
     1901     ;;
     1902 esac
     1903
     1904
     1905 # Check whether --enable-doscompile or --disable-doscompile was given.
     1906if test "${enable_doscompile+set}" = set; then
     1907  enableval="$enable_doscompile"
     1908  if test "$enable_doscompile" != no; then
     1909     case $build in
     1910       *-cygwin* | *-mingw*) ;;
     1911       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1912echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1913   { (exit 1); exit 1; }; } ;;
     1914     esac
    19331915   fi
    1934  fi
    1935 
    1936 
    1937 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1938 if test "${enable_static_standardlibs+set}" = set; then
    1939   enableval="$enable_static_standardlibs"
    1940   case "$enableval" in
    1941      no | yes | auto ) ;;
    1942      *)
    1943        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1944 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1945    { (exit 1); exit 1; }; } ;;
    1946    esac
    1947    use_static_standardlibs=$enableval
    1948 else
    1949   use_static_standardlibs=no
     1916else
     1917  enable_doscompile=no
    19501918fi;
    1951 
     1919 case "$enable_doscompile" in
     1920   mingw)
     1921     case $build in
     1922       *-mingw*) enable_doscompile=no ;;
     1923     esac
     1924     ;;
     1925   msvc|no) ;;
     1926   yes) enable_doscompile=mingw ;;
     1927   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1928                    Try configure --help=recursive." >&5
     1929echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1930                    Try configure --help=recursive." >&2;}
     1931   { (exit 1); exit 1; }; }
     1932      ;;
     1933  esac
     1934  if test "$enable_doscompile" != no ; then
     1935    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1936echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1937  fi
    19521938
    19531939
     
    19921978case $build in
    19931979  *-cygwin* | *-mingw*)
    1994              if test "$enable_msvc" = yes ; then
    1995                comps="icl cl gcc"
     1980             if test "$enable_doscompile" = msvc ; then
     1981               comps="icl cl"
    19961982             else
    1997                comps="gcc icl cl"
     1983               comps="gcc cl"
    19981984             fi ;;
    19991985  *-*-solaris*)
     
    28482834            ;;
    28492835        esac
     2836        case $enable_doscompile in
     2837          mingw)
     2838            CFLAGS="-mno-cygwin"
     2839            cat >conftest.$ac_ext <<_ACEOF
     2840/* confdefs.h.  */
     2841_ACEOF
     2842cat confdefs.h >>conftest.$ac_ext
     2843cat >>conftest.$ac_ext <<_ACEOF
     2844/* end confdefs.h.  */
     2845
     2846int
     2847main ()
     2848{
     2849int i=0; i++;
     2850  ;
     2851  return 0;
     2852}
     2853_ACEOF
     2854rm -f conftest.$ac_objext conftest$ac_exeext
     2855if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2856  (eval $ac_link) 2>conftest.er1
     2857  ac_status=$?
     2858  grep -v '^ *+' conftest.er1 >conftest.err
     2859  rm -f conftest.er1
     2860  cat conftest.err >&5
     2861  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2862  (exit $ac_status); } &&
     2863         { ac_try='test -z "$ac_c_werror_flag"
     2864                         || test ! -s conftest.err'
     2865  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2866  (eval $ac_try) 2>&5
     2867  ac_status=$?
     2868  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2869  (exit $ac_status); }; } &&
     2870         { ac_try='test -s conftest$ac_exeext'
     2871  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2872  (eval $ac_try) 2>&5
     2873  ac_status=$?
     2874  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2875  (exit $ac_status); }; }; then
     2876  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2877else
     2878  echo "$as_me: failed program was:" >&5
     2879sed 's/^/| /' conftest.$ac_ext >&5
     2880
     2881fi
     2882rm -f conftest.err conftest.$ac_objext \
     2883      conftest$ac_exeext conftest.$ac_ext
     2884            CFLAGS=
     2885          ;;
     2886        esac
    28502887    esac
    28512888  fi
     
    30383075    CFLAGS="$OPT_CFLAGS"
    30393076  fi
    3040 
    30413077else
    30423078  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31893225  clang* ) ;;
    31903226  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3191 
    3192  case $build in
     3227    case $build in
    31933228  *-mingw*)
    31943229    if test "${LD+set}" = set; then :; else
     
    31973232    ;;
    31983233 esac
    3199  if test $enable_msvc = yes ; then
    3200    if test "x${LD+set}" = xset; then :; else
    3201      LD=link
    3202    fi
    3203  fi
     3234 case $enable_doscompile in
     3235   msvc)
     3236     if test "x${LD+set}" = xset; then :; else
     3237       LD=link
     3238     fi
     3239     ;;
     3240 esac
    32043241
    32053242    ;;
    32063243esac
    3207 
    3208 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3209 if test x$use_static_standardlibs != xno ; then
    3210   case $build in
    3211     *-mingw*)
    3212       static_standardlib_flag=-static
    3213       ;;
    3214     *)
    3215       static_standardlib_flag=-static-libgcc
    3216       ;;
    3217   esac
    3218   case " $LDFLAGS " in
    3219     *" $static_standardlib_flag "* ) ;;
    3220     *)
    3221     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3222 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3223     coin_save_LDFLAGS="$LDFLAGS"
    3224     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3225     cat >conftest.$ac_ext <<_ACEOF
    3226 /* confdefs.h.  */
    3227 _ACEOF
    3228 cat confdefs.h >>conftest.$ac_ext
    3229 cat >>conftest.$ac_ext <<_ACEOF
    3230 /* end confdefs.h.  */
    3231 
    3232 int
    3233 main ()
    3234 {
    3235 int i=0;
    3236   ;
    3237   return 0;
    3238 }
    3239 _ACEOF
    3240 rm -f conftest.$ac_objext conftest$ac_exeext
    3241 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3242   (eval $ac_link) 2>conftest.er1
    3243   ac_status=$?
    3244   grep -v '^ *+' conftest.er1 >conftest.err
    3245   rm -f conftest.er1
    3246   cat conftest.err >&5
    3247   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3248   (exit $ac_status); } &&
    3249          { ac_try='test -z "$ac_c_werror_flag"
    3250                          || test ! -s conftest.err'
    3251   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3252   (eval $ac_try) 2>&5
    3253   ac_status=$?
    3254   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3255   (exit $ac_status); }; } &&
    3256          { ac_try='test -s conftest$ac_exeext'
    3257   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3258   (eval $ac_try) 2>&5
    3259   ac_status=$?
    3260   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3261   (exit $ac_status); }; }; then
    3262   echo "$as_me:$LINENO: result: yes" >&5
    3263 echo "${ECHO_T}yes" >&6
    3264 else
    3265   echo "$as_me: failed program was:" >&5
    3266 sed 's/^/| /' conftest.$ac_ext >&5
    3267 
    3268 echo "$as_me:$LINENO: result: no" >&5
    3269 echo "${ECHO_T}no" >&6
    3270        LDFLAGS="$coin_save_LDFLAGS"
    3271        if test $use_static_standardlibs = yes ; then
    3272          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3273 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3274    { (exit 1); exit 1; }; }
    3275        fi
    3276 
    3277 fi
    3278 rm -f conftest.err conftest.$ac_objext \
    3279       conftest$ac_exeext conftest.$ac_ext
    3280     ;;
    3281   esac
    3282 fi
    32833244
    32843245ac_ext=c
     
    32933254case $build in
    32943255  *-cygwin* | *-mingw*)
    3295      if test "$enable_msvc" = yes ; then
    3296        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3256     if test "$enable_doscompile" = msvc ; then
     3257       coin_f77_comps="ifort fl32 compile_f2c"
    32973258     else
    32983259       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    33043265  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33053266 esac
    3306 
    33073267
    33083268
     
    35203480
    35213481# Provide some information about the compiler.
    3522 echo "$as_me:3522:" \
     3482echo "$as_me:3482:" \
    35233483     "checking for Fortran 77 compiler version" >&5
    35243484ac_compiler=`set X $ac_compile; echo $2`
     
    36893649    coin_add_fflags="-pipe"
    36903650    coin_dbg_fflags="-g -O0"
     3651    case $enable_doscompile in
     3652      mingw)
     3653        FFLAGS="-mno-cygwin"
     3654        cat >conftest.$ac_ext <<_ACEOF
     3655      program main
     3656      write(*,*) 'Hello world'
     3657      end
     3658_ACEOF
     3659rm -f conftest.$ac_objext conftest$ac_exeext
     3660if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3661  (eval $ac_link) 2>conftest.er1
     3662  ac_status=$?
     3663  grep -v '^ *+' conftest.er1 >conftest.err
     3664  rm -f conftest.er1
     3665  cat conftest.err >&5
     3666  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3667  (exit $ac_status); } &&
     3668         { ac_try='test -z "$ac_f77_werror_flag"
     3669                         || test ! -s conftest.err'
     3670  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3671  (eval $ac_try) 2>&5
     3672  ac_status=$?
     3673  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3674  (exit $ac_status); }; } &&
     3675         { ac_try='test -s conftest$ac_exeext'
     3676  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3677  (eval $ac_try) 2>&5
     3678  ac_status=$?
     3679  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3680  (exit $ac_status); }; }; then
     3681  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3682else
     3683  echo "$as_me: failed program was:" >&5
     3684sed 's/^/| /' conftest.$ac_ext >&5
     3685
     3686fi
     3687rm -f conftest.err conftest.$ac_objext \
     3688      conftest$ac_exeext conftest.$ac_ext
     3689        FFLAGS=
     3690      ;;
     3691    esac
    36913692  else
    36923693    case $build in
     
    38563857    FFLAGS="$OPT_FFLAGS"
    38573858  fi
    3858 
    38593859else
    38603860  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39813981case "$F77" in
    39823982  ifort* | */ifort* | IFORT* | */IFORT*)
    3983 
    3984  case $build in
     3983    case $build in
    39853984  *-mingw*)
    39863985    if test "${LD+set}" = set; then :; else
     
    39893988    ;;
    39903989 esac
    3991  if test $enable_msvc = yes ; then
    3992    if test "x${LD+set}" = xset; then :; else
    3993      LD=link
    3994    fi
    3995  fi
     3990 case $enable_doscompile in
     3991   msvc)
     3992     if test "x${LD+set}" = xset; then :; else
     3993       LD=link
     3994     fi
     3995     ;;
     3996 esac
    39963997
    39973998    ;;
    39983999esac
    3999 
    4000 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4001 if test x$use_static_standardlibs != xno ; then
    4002   case $build in
    4003     *-mingw*)
    4004       static_standardlib_flag=-static
    4005       ;;
    4006     *)
    4007       static_standardlib_flag=-static-libgfortran
    4008       ;;
    4009   esac
    4010   case " $LDFLAGS " in
    4011     *" $static_standardlib_flag "* ) ;;
    4012     *)
    4013     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4014 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4015     coin_save_LDFLAGS="$LDFLAGS"
    4016     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4017     cat >conftest.$ac_ext <<_ACEOF
    4018       program main
    4019       integer i
    4020       end
    4021 _ACEOF
    4022 rm -f conftest.$ac_objext conftest$ac_exeext
    4023 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4024   (eval $ac_link) 2>conftest.er1
    4025   ac_status=$?
    4026   grep -v '^ *+' conftest.er1 >conftest.err
    4027   rm -f conftest.er1
    4028   cat conftest.err >&5
    4029   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4030   (exit $ac_status); } &&
    4031          { ac_try='test -z "$ac_f77_werror_flag"
    4032                          || test ! -s conftest.err'
    4033   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4034   (eval $ac_try) 2>&5
    4035   ac_status=$?
    4036   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4037   (exit $ac_status); }; } &&
    4038          { ac_try='test -s conftest$ac_exeext'
    4039   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4040   (eval $ac_try) 2>&5
    4041   ac_status=$?
    4042   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4043   (exit $ac_status); }; }; then
    4044   echo "$as_me:$LINENO: result: yes" >&5
    4045 echo "${ECHO_T}yes" >&6
    4046 else
    4047   echo "$as_me: failed program was:" >&5
    4048 sed 's/^/| /' conftest.$ac_ext >&5
    4049 
    4050 echo "$as_me:$LINENO: result: no" >&5
    4051 echo "${ECHO_T}no" >&6
    4052        LDFLAGS="$coin_save_LDFLAGS"
    4053        if test $use_static_standardlibs = yes ; then
    4054          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4055 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4056    { (exit 1); exit 1; }; }
    4057        fi
    4058 
    4059 fi
    4060 rm -f conftest.err conftest.$ac_objext \
    4061       conftest$ac_exeext conftest.$ac_ext
    4062     ;;
    4063   esac
    4064 fi
    40654000
    40664001ac_ext=c
     
    41264061ac_save_FFLAGS=$FFLAGS
    41274062FFLAGS="$FFLAGS $ac_verb"
    4128 (eval echo $as_me:4128: \"$ac_link\") >&5
     4063(eval echo $as_me:4063: \"$ac_link\") >&5
    41294064ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41304065echo "$ac_f77_v_output" >&5
     
    42044139ac_save_FFLAGS=$FFLAGS
    42054140FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4206 (eval echo $as_me:4206: \"$ac_link\") >&5
     4141(eval echo $as_me:4141: \"$ac_link\") >&5
    42074142ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42084143echo "$ac_f77_v_output" >&5
     
    73807315*-*-irix6*)
    73817316  # Find out which ABI we are using.
    7382   echo '#line 7382 "configure"' > conftest.$ac_ext
     7317  echo '#line 7317 "configure"' > conftest.$ac_ext
    73837318  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73847319  (eval $ac_compile) 2>&5
     
    93769311   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93779312   -e 's:$: $lt_compiler_flag:'`
    9378    (eval echo "\"\$as_me:9378: $lt_compile\"" >&5)
     9313   (eval echo "\"\$as_me:9313: $lt_compile\"" >&5)
    93799314   (eval "$lt_compile" 2>conftest.err)
    93809315   ac_status=$?
    93819316   cat conftest.err >&5
    9382    echo "$as_me:9382: \$? = $ac_status" >&5
     9317   echo "$as_me:9317: \$? = $ac_status" >&5
    93839318   if (exit $ac_status) && test -s "$ac_outfile"; then
    93849319     # The compiler can only warn and ignore the option if not recognized
     
    96449579   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96459580   -e 's:$: $lt_compiler_flag:'`
    9646    (eval echo "\"\$as_me:9646: $lt_compile\"" >&5)
     9581   (eval echo "\"\$as_me:9581: $lt_compile\"" >&5)
    96479582   (eval "$lt_compile" 2>conftest.err)
    96489583   ac_status=$?
    96499584   cat conftest.err >&5
    9650    echo "$as_me:9650: \$? = $ac_status" >&5
     9585   echo "$as_me:9585: \$? = $ac_status" >&5
    96519586   if (exit $ac_status) && test -s "$ac_outfile"; then
    96529587     # The compiler can only warn and ignore the option if not recognized
     
    97489683   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97499684   -e 's:$: $lt_compiler_flag:'`
    9750    (eval echo "\"\$as_me:9750: $lt_compile\"" >&5)
     9685   (eval echo "\"\$as_me:9685: $lt_compile\"" >&5)
    97519686   (eval "$lt_compile" 2>out/conftest.err)
    97529687   ac_status=$?
    97539688   cat out/conftest.err >&5
    9754    echo "$as_me:9754: \$? = $ac_status" >&5
     9689   echo "$as_me:9689: \$? = $ac_status" >&5
    97559690   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    97569691   then
     
    1216512100  lt_status=$lt_dlunknown
    1216612101  cat > conftest.$ac_ext <<EOF
    12167 #line 12167 "configure"
     12102#line 12102 "configure"
    1216812103#include "confdefs.h"
    1216912104
     
    1226512200  lt_status=$lt_dlunknown
    1226612201  cat > conftest.$ac_ext <<EOF
    12267 #line 12267 "configure"
     12202#line 12202 "configure"
    1226812203#include "confdefs.h"
    1226912204
     
    1462514560   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1462614561   -e 's:$: $lt_compiler_flag:'`
    14627    (eval echo "\"\$as_me:14627: $lt_compile\"" >&5)
     14562   (eval echo "\"\$as_me:14562: $lt_compile\"" >&5)
    1462814563   (eval "$lt_compile" 2>conftest.err)
    1462914564   ac_status=$?
    1463014565   cat conftest.err >&5
    14631    echo "$as_me:14631: \$? = $ac_status" >&5
     14566   echo "$as_me:14566: \$? = $ac_status" >&5
    1463214567   if (exit $ac_status) && test -s "$ac_outfile"; then
    1463314568     # The compiler can only warn and ignore the option if not recognized
     
    1472914664   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1473014665   -e 's:$: $lt_compiler_flag:'`
    14731    (eval echo "\"\$as_me:14731: $lt_compile\"" >&5)
     14666   (eval echo "\"\$as_me:14666: $lt_compile\"" >&5)
    1473214667   (eval "$lt_compile" 2>out/conftest.err)
    1473314668   ac_status=$?
    1473414669   cat out/conftest.err >&5
    14735    echo "$as_me:14735: \$? = $ac_status" >&5
     14670   echo "$as_me:14670: \$? = $ac_status" >&5
    1473614671   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1473714672   then
     
    1629916234   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1630016235   -e 's:$: $lt_compiler_flag:'`
    16301    (eval echo "\"\$as_me:16301: $lt_compile\"" >&5)
     16236   (eval echo "\"\$as_me:16236: $lt_compile\"" >&5)
    1630216237   (eval "$lt_compile" 2>conftest.err)
    1630316238   ac_status=$?
    1630416239   cat conftest.err >&5
    16305    echo "$as_me:16305: \$? = $ac_status" >&5
     16240   echo "$as_me:16240: \$? = $ac_status" >&5
    1630616241   if (exit $ac_status) && test -s "$ac_outfile"; then
    1630716242     # The compiler can only warn and ignore the option if not recognized
     
    1640316338   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1640416339   -e 's:$: $lt_compiler_flag:'`
    16405    (eval echo "\"\$as_me:16405: $lt_compile\"" >&5)
     16340   (eval echo "\"\$as_me:16340: $lt_compile\"" >&5)
    1640616341   (eval "$lt_compile" 2>out/conftest.err)
    1640716342   ac_status=$?
    1640816343   cat out/conftest.err >&5
    16409    echo "$as_me:16409: \$? = $ac_status" >&5
     16344   echo "$as_me:16344: \$? = $ac_status" >&5
    1641016345   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1641116346   then
     
    1861018545   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1861118546   -e 's:$: $lt_compiler_flag:'`
    18612    (eval echo "\"\$as_me:18612: $lt_compile\"" >&5)
     18547   (eval echo "\"\$as_me:18547: $lt_compile\"" >&5)
    1861318548   (eval "$lt_compile" 2>conftest.err)
    1861418549   ac_status=$?
    1861518550   cat conftest.err >&5
    18616    echo "$as_me:18616: \$? = $ac_status" >&5
     18551   echo "$as_me:18551: \$? = $ac_status" >&5
    1861718552   if (exit $ac_status) && test -s "$ac_outfile"; then
    1861818553     # The compiler can only warn and ignore the option if not recognized
     
    1887818813   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1887918814   -e 's:$: $lt_compiler_flag:'`
    18880    (eval echo "\"\$as_me:18880: $lt_compile\"" >&5)
     18815   (eval echo "\"\$as_me:18815: $lt_compile\"" >&5)
    1888118816   (eval "$lt_compile" 2>conftest.err)
    1888218817   ac_status=$?
    1888318818   cat conftest.err >&5
    18884    echo "$as_me:18884: \$? = $ac_status" >&5
     18819   echo "$as_me:18819: \$? = $ac_status" >&5
    1888518820   if (exit $ac_status) && test -s "$ac_outfile"; then
    1888618821     # The compiler can only warn and ignore the option if not recognized
     
    1898218917   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1898318918   -e 's:$: $lt_compiler_flag:'`
    18984    (eval echo "\"\$as_me:18984: $lt_compile\"" >&5)
     18919   (eval echo "\"\$as_me:18919: $lt_compile\"" >&5)
    1898518920   (eval "$lt_compile" 2>out/conftest.err)
    1898618921   ac_status=$?
    1898718922   cat out/conftest.err >&5
    18988    echo "$as_me:18988: \$? = $ac_status" >&5
     18923   echo "$as_me:18923: \$? = $ac_status" >&5
    1898918924   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1899018925   then
     
    2253022465# Try to autodetect the library for blas based on build system
    2253122466  #AC_MSG_CHECKING([default locations for BLAS])
     22467  skip_lblas_check=no
    2253222468  case $build in
    2253322469    *-sgi-*)
     
    2333223268
    2333323269    *-cygwin* | *-mingw*)
     23270# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     23271# library will want to link with cygwin, hence won't run standalone in DOS.
     23272      if test "$enable_doscompile" = mingw; then
     23273        skip_lblas_check=yes
     23274      fi
    2333423275      case "$CC" in
    2333523276        clang* ) ;;
     
    2449524436  esac
    2449624437
    24497   if test -z "$use_blas" ; then
     24438  if test -z "$use_blas" && test $skip_lblas_check = no; then
    2449824439    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2449924440echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2607626017echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2607726018coin_link_input_cmd="$LN_S"
     26019if test "$enable_doscompile" = mingw; then
     26020  coin_link_input_cmd=cp
     26021fi
    2607826022case "$CC" in
    2607926023  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.